Subject: Re: linux-next: manual merge of the slave-dma tree with the arm tree

From: Krzysztof Kozlowski <[email-masked]>
Date: Tue, 09 Dec 2014 14:38:48 +0100

On wto, 2014-12-09 at 14:09 +1100, Stephen Rothwell wrote:
> Hi Vinod,
> 
> Today's linux-next merge of the slave-dma tree got a conflict in
> drivers/dma/pl330.c between commits ae43b3289186 ("ARM: 8202/1:
> dmaengine: pl330: Add runtime Power Management support v12") and
> b816ccc5c01f ("ARM: 8206/1: dmaengine: pl330: Add PM sleep support")
> from the arm tree and commits 86e15941d3f5 ("dmaengine: pl330: Split
> device_control") and c9a09dacf851 ("dmaengine: pl330: Declare slave
> capabilities for the generic code") from the slave-dma tree.
> 
> I fixed it up (hopefully - see below) and can carry the fix as
> necessary (no action is required).

Looks almost good:
++      pm_runtime_mark_last_busy(pl330->ddma.dev);
++      pm_runtime_put_autosuspend(pl330->ddma.dev);1
                                                    ^here

However I am looking current next (fetched few minutes ago and the one
visible through gitweb) and I can see only mi changes (related to PM
runtime). It looks like slave-dma changes got lost on the way.

Best regards,
Krzysztof